#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        The KDE calendar utility library
Name:           kcalutils
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5CoreAddons) >= 5.12.0
BuildRequires:  cmake(KF5Config) >= 5.12.0
BuildRequires:  cmake(KF5I18n) >= 5.12.0
BuildRequires:  cmake(KF5KDELibs4Support) >= 5.12.0
BuildRequires:  cmake(KF5Codecs) >= 5.12.0

BuildRequires:  kcalcore-devel >= %version
BuildRequires:  kidentitymanagement-devel >= %version

%description
The KDE calendar utility library.

%files
%_kf5_libdir/grantlee/5.1/kcalendar_grantlee_plugin.so

#--------------------------------------------------------------------

%define kf5calendarutils_major 5
%define libkf5calendarutils %mklibname kf5calendarutils %{kf5calendarutils_major}

%package -n %libkf5calendarutils
Summary:      The KDE calendar utility library
Group:        System/Libraries

Obsoletes:    %{_lib}kf5calendarutils4 < 16.03.80

%description -n %libkf5calendarutils
The KDE calendar utility library.

%files -n %libkf5calendarutils
%_kf5_libdir/libKF5CalendarUtils.so.%{kf5calendarutils_major}*

#--------------------------------------------------------------------

%define kf5calendarutils_devel %mklibname kf5calendarutils -d

%package -n %kf5calendarutils_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5calendarutils = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5calendarutils_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5calendarutils_devel
%_kf5_includedir/KCalUtils
%_kf5_includedir/*_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5CalendarUtils
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090036
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076772
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071984
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067302
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061361
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050628
- New version 16.08.1

* Tue Aug 23 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047960
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040023
- New version 16.04.3
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1014081
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004303
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996777
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991153
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987422
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922591
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911924
- New version 15.12.0

* Sun Nov 29 2015 neoclust <neoclust> 15.11.80-2.mga6
+ Revision: 906992
- Rebuild for ARM

* Fri Nov 27 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 906511
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901118
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890598
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880411
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865929
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863890
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861742
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858618
- imported package kcalutils

